Skip to main content
GET
List transactions updated between two dates

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

start_date
string
required

The start date of the window for which transactions will be returned. Given in ISO 8106 format without a timestamp, e.g., 2013-10-25.

end_date
string
required

The end date of the window for which transactions will be returned. Given in ISO 8106 format without a timestamp, e.g., 2013-10-25.

Query Parameters

account_guid[]
string

Return transactions belonging to any account GUID specified in the request URL. For example, /transactions/by_category_guid/CAT-e04e9d1e-e041-c315-2e50-094143ab3f73/by_date/2016-06-28/2016-07-25?page=2&records_per_page=100&account_guids[]=ACT-00266e24-5980-0213-96aa-649246a418af&account_guids[]=ACT-15f3a4de-cb45-d892-4480-6d05576011a8.

page
integer

Results are returned in paginated sets, this is the page of the results you would like to view. Defaults to page 1 if no page is specified.

records_per_page
integer

Requests to all list endpoints that return multiple transactions (e.g. list transactions) should specify the desired records_per_page. The supported range is from 10 to 1000. If the records_per_page parameter is not specified or is outside this range, a default of 25 records per page will be used.

use_case
enum<string>[]

The use case associated with the member.

Available options:
MONEY_MOVEMENT,
PFM
user_transaction_rule_guid
string

Return transactions associated with the provided transaction rule GUID.

Response

200 - application/vnd.mx.api.v1+json

OK

transactions
object[]
pagination
object